#
# spec file for package SoQt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define		sover	20

Name:           SoQt
Version:        1.5.0
Release:        lp150.1.8
Summary:        A library which provides the glue between Coin and Qt
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Url:            http://www.coin3d.org/lib/soqt
Source:         https://bitbucket.org/Coin3D/coin/downloads/SoQt-%{version}.tar.gz
Patch0:         SoQt-man3.patch
BuildRequires:  Coin-devel
BuildRequires:  doxygen
BuildRequires:  Coin-devel
BuildRequires:  doxygen
BuildRequires:  libqt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
	
%description
The core rendering library Coin is a multiplatform high-level 3D graphics
library with a C++ API. Coin uses OpenGL for accelerated rendering, while
providing a higher abstraction level, 3D interactivity, and many complex
optimization features for fast rendering that are transparent for the
application programmer, thus facilitating the development of interactive 3D
applications and greatly increasing productivity.

%package devel
Summary:        Development files for SoQt
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       Coin-devel
Requires:       Mesa-devel
Requires:       glib2-devel
Requires:       libSoQt%{sover}
Requires:       libpng-devel
Requires:       libqt4-devel

%description devel
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%package doc
Summary:        A library which provides the glue between Coin and Qt
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%package -n libSoQt%{sover}
Summary:        A library which provides the glue between Coin and Qt
Group:          System/Libraries

%description -n libSoQt%{sover}
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%prep
%setup -q
%patch0

%build
%configure \
        --libdir=%{_libdir} \
        --disable-msvc \
        --enable-html \
        --enable-man \
        --htmldir=%{_defaultdocdir}/SoQt/html \
        --enable-exceptions \
        --with-x

make %{?_smp_mflags}

%install
%{makeinstall}
rm %{buildroot}%{_libdir}/libSoQt.la

%post -n libSoQt%{sover} -p /sbin/ldconfig 

%postun -n libSoQt%{sover} -p /sbin/ldconfig 

%files
%defattr(-,root,root,0755)
%dir %{_datadir}/Coin
%dir %{_datadir}/Coin/conf
%{_datadir}/Coin/conf/soqt-default.cfg

%files -n libSoQt%{sover}
%defattr(-,root,root,-)
%{_libdir}/libSoQt.so.*

%files doc
%defattr(-,root,root,0755)
%dir %{_datadir}/doc/packages/SoQt
%{_datadir}/doc/packages/SoQt/*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/soqt-config
%dir %{_includedir}/Inventor/Qt
%{_includedir}/Inventor/Qt/*
%{_libdir}/pkgconfig/SoQt.pc
%{_libdir}/libSoQt.so
%{_datadir}/aclocal/soqt.m4
%doc %{_mandir}/man1/soqt-config.1.gz
%doc %{_mandir}/man3/*.gz

%changelog
* Wed Aug  3 2016 jengelh@inai.de
- Rectify RPM groups. Use smp_mflags for parallel building.
  Drop redundant export CFLAGS lines. Rename %%soname to %%sover
  because it did not contain the soname.
* Tue Jul  5 2016 adrian@suse.de
- update to version 1.5.0
- use Qt4 instead of Qt3 ....
* Fri Nov  5 2010 malcolmlewis@opensuse.org
- Spec file fixes based on rpmlint report
* Thu Nov  4 2010 malcolmlewis@opensuse.org
- Fix Requires for devel package
* Thu Nov  4 2010 malcolmlewis@opensuse.org
- Spec file clean up
- Patches redone
* Sun Sep 28 2008 andrea@links2linux.de
- complete spec rewrite
* Sun Nov 18 2007 mvyskocil@suse.cz
- First release for OpenSuse Build Service
